org.wso2.carbon.dataservices.sql.driver.query

## Enum QueryFactory.QueryFactoryTypes

- java.lang.Object
- - java.lang.Enum<QueryFactory.QueryFactoryTypes>
  - - org.wso2.carbon.dataservices.sql.driver.query.QueryFactory.QueryFactoryTypes

- All Implemented Interfaces:
    Serializable, Comparable<QueryFactory.QueryFactoryTypes>
  Enclosing class:
    QueryFactory

      public static enum QueryFactory.QueryFactoryTypes
      extends Enum<QueryFactory.QueryFactoryTypes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `DELETE`
    `DROP`
    `INSERT`
    `SELECT`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryFactory.QueryFactoryTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueryFactory.QueryFactoryTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECT

          public static final QueryFactory.QueryFactoryTypes SELECT

    - #### INSERT

          public static final QueryFactory.QueryFactoryTypes INSERT

    - #### UPDATE

          public static final QueryFactory.QueryFactoryTypes UPDATE

    - #### DELETE

          public static final QueryFactory.QueryFactoryTypes DELETE

    - #### CREATE

          public static final QueryFactory.QueryFactoryTypes CREATE

    - #### DROP

          public static final QueryFactory.QueryFactoryTypes DROP

  - ### Method Detail

    - #### values

          public static QueryFactory.QueryFactoryTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryFactory.QueryFactoryTypes c : QueryFactory.QueryFactoryTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryFactory.QueryFactoryTypes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 WSO2. All rights reserved.